# Interface WritableStream<W>

This Streams API interface provides a standard abstraction for writing streaming data to a destination, known as a sink. This object comes with built-in back pressure and queuing.

interface WritableStream<W> {
locked: boolean;
abort(reason?): Promise<void>;
close(): Promise<void>;
getWriter(): WritableStreamDefaultWriter<W>;
}

#### Type Parameters

- W = any

- Defined in node_modules/@types/node/stream/web.d.ts:232
- Defined in node_modules/@types/node/stream/web.d.ts:238

#####
Index

### Properties

locked

### Methods

abort
close
getWriter

## Properties

### `Readonly` locked

locked: boolean

- Defined in node_modules/@types/node/stream/web.d.ts:233

## Methods

### abort

- abort(reason?): Promise<void>

- #### Parameters

  - `Optional` reason: any

  #### Returns Promise<void>

  - Defined in node_modules/@types/node/stream/web.d.ts:234

### close

- close(): Promise<void>

- #### Returns Promise<void>

  - Defined in node_modules/@types/node/stream/web.d.ts:235

### getWriter

- getWriter(): WritableStreamDefaultWriter<W>

- #### Returns WritableStreamDefaultWriter<W>

  - Defined in node_modules/@types/node/stream/web.d.ts:236